#-*- mode: Fundamental; tab-width: 4; -*-
# ex:ts=4

# This file contains configuration variables that are global to
# the GAR system.  Users wishing to make a change on a
# per-package basis should edit the category/package/Makefile, or
# specify environment variables on the make command-line.

# Variables that define the default *actions* (rather than just
# default data) of the system will remain in bbc.gar.mk
# (bbc.port.mk)

# Setting this variable will cause the results of your builds to
# be cleaned out after being installed.  Uncomment only if you
# desire this behavior!

# export BUILD_CLEAN = true

# These are the standard directory name variables from all GNU
# makefiles.  They're also used by autoconf, and can be adapted
# for a variety of build systems.
# These may be altered for certain build flavors in gusto.conf.mk.
# Make these values relative to $(rootdir) and leave rootdir blank.
rootdir =
prefix = $(rootdir)/usr
exec_prefix = $(prefix)
bindir = $(exec_prefix)/bin
sbindir = $(exec_prefix)/sbin
libexecdir = $(exec_prefix)/libexec
datadir = $(prefix)/share
sysconfdir = $(rootdir)/etc
sharedstatedir = $(prefix)/share
localstatedir = $(rootdir)/var
libdir = $(exec_prefix)/lib
infodir = $(datadir)/info
includedir = $(prefix)/include
mandir = $(datadir)/man
docdir = $(datadir)/doc
licensedir = $(docdir)/licenses
sourcedir = $(prefix)/src

# DESTDIR is the root of where everything will eventually be installed.
# STAGINGDIR is a place to store data to be used later but that doesn't
# belong in DESTDIR.
# BUILD_PREFIX is where helper programs for the build machine are
# installed.
# TRASHDIR, relative to DESTDIR, is where to put undesired files that
# would otherwise go in DESTDIR.
DESTDIR ?= $(HOME)/gusto/install
STAGINGDIR ?= /tmp/staging
BUILD_PREFIX ?= /tmp/build
TRASHDIR ?= $(ROOTFROMDEST)/tmp/trash

# Your C compiler.
CC = gcc

# Set your favorite flags here. If your compiler ($(CC) above) doesn't
# generate code for the host architecture by default, you may need to
# add the `-march' flag to CFLAGS, like ``-march=i386''.
CPPFLAGS =
CFLAGS = -O2
LDFLAGS = -s

# These are necessary to make sure we use the proper libraries.
CPPFLAGS += -isystem $(DESTDIR)$(includedir)
CFLAGS += -isystem $(DESTDIR)$(includedir)
LDFLAGS += -L$(DESTDIR)/lib -L$(DESTDIR)$(libdir)

# make these variables available to configure and build scripts
# outside of make's realm.
export DESTDIR
export CC CPPFLAGS CFLAGS LDFLAGS

GARCHIVEDIR = $(HOME)/gusto/garchive/$(DISTNAME)

# prepend the local file listing
FILE_SITES = file://$(FILEDIR)/ file://$(GARCHIVEDIR)/ file://$(DESTDIR)$(sourcedir)/

# If you wish, you can share a garchive on a fast local network to keep
# from downloading the files more than once. Put its URL here, like:
# FILE_SITES += ftp://gar.example.com/garchive/$(DISTNAME)/
# FILE_SITES += 

# This is an auxiliary configuration file that controls features used by
# Gusto. Make sure to edit it also!
include $(GARDIR)/gusto.conf.mk
