# Copyright 2004 David Fifield

BUILD_HOST_TARGET =

ifneq ($(HOST),)
ifneq ($(BUILD),)
BUILD_HOST_TARGET += --build=$(BUILD)
endif
BUILD_HOST_TARGET += --host=$(HOST)
endif

export NODEPEND
builddep-$(GARDIR)/%: NODEPEND += $(NOBUILDDEPEND)

ifeq ($(findstring nls,$(USE)),)
DISABLE_NLS = --disable-nls
endif

install-source: checksum $(DESTDIR)$(sourcedir)
	-cp -Lu $(filter-out $(PARTIALDIR),$(addprefix $(DOWNLOADDIR)/,$(filter-out $(notdir $(wildcard $(FILEDIR)/*)),$(notdir $(wildcard $(DOWNLOADDIR)/*))))) $(DESTDIR)$(sourcedir)

# This is a crude way to see if there is a newer version of a package
# available. It fails on sites that don't provide a file listing and
# those that keep different versions in different directories, and with
# packages that manipulate $(GARVERSION) in DISTFILES.
check-for-new-version:
ifneq ($(MASTER_SITES),)
	@for site in $(MASTER_SITES); do \
		wget -nc -q -t 1 -T 10 $$site; \
		for file in $(filter-out $(shell ls $(FILEDIR) 2>/dev/null),$(DISTFILES)); do \
			VERSION=`echo $(GARVERSION) | sed -e 's/\./\./g'`; \
			if [ ! `echo $$file | grep "$$VERSION"` ]; then \
				echo "Can't check for a new version of $$file."; \
				continue; \
			fi; \
			PREFIX=`echo $$file | sed -e "s/$$VERSION.*//" -e 's/\./\./g'`; \
			SUFFIX=`echo $$file | sed -e "s/.*$$VERSION//" -e 's/\./\./g'`; \
			NEWEST=`grep "$$PREFIX.*$$SUFFIX" index.html | sed -e "s/.*$$PREFIX\(.*\)$$SUFFIX.*/\1/" | sort -n -r -t . -k 1,1 -k 2,2 -k 3,3 -k 4,4 | head -n 1`; \
			if [ -z "$$NEWEST" ]; then \
				echo "$$site$$file not found."; \
			elif [ -n "$$NEWEST" -a "$$NEWEST" != $(GARVERSION) ]; then \
				echo "$$site$$PREFIX$$NEWEST$$SUFFIX"; \
			fi; \
		done; \
		rm -f index.html; \
	done
endif
	@true
